using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace GraphicChart.Core
{

    /// <summary>
    /// Vseobecne premenne, ktore nie su editovatelne cez XML
    /// </summary>
    public class GlobalVariables
    {

        public Color[] chartColor = new Color[10]{
            Color.FromArgb(255, 185, 106, 154),
            Color.FromArgb(255, 216, 137, 184),
            Color.FromArgb(255, 156, 192, 137),
            Color.FromArgb(255, 216, 243, 201),
            Color.FromArgb(255, 253, 232, 215),
            Color.FromArgb(255, 146, 123, 81),
            Color.FromArgb(255, 168, 145, 102),
            Color.FromArgb(255, 128, 195, 28),
            Color.FromArgb(255, 188, 221, 90),
            Color.FromArgb(255, 251, 179, 107),
        };

        private int lineDistance = 20;
        public int LneDistance
        {
            get { return lineDistance; }
            set { lineDistance = value; }
        }

        /// <summary>
        //  minimalna sirka stlpca v grafe
        /// </summary>
        private int minColumnWidth = 30;
        public int MinColumnWidth
        {
            get { return minColumnWidth; }
            set { minColumnWidth = value; }
        }

        /// <summary>
        /// maximalna sirka stlpca v grafe
        /// </summary>
        private int maxColumnWidth = 120;
        public int MaxColumnWidth
        {
            get { return maxColumnWidth; }
            set { maxColumnWidth = value; }
        }

        /// <summary>
        /// Text ak je prilis vela dat
        /// </summary>
        private string tooManyData = "Príliš veľa dát na zobrazenie";
        public string TooManyData
        {
            get { return tooManyData; }
            set { tooManyData = value; }
        }

        


    }
}
